<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hwpf.HWPFDocument (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hwpf.HWPFDocument (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
               title="class in org.apache.poi.hwpf">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/class-use/HWPFDocument.html" target="_top">Frames</a>
        </li>
        <li><a href="HWPFDocument.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hwpf.HWPFDocument" class="title">Uses of Class<br>org.apache.poi.hwpf.HWPFDocument
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                                    title="class in org.apache.poi.hwpf">HWPFDocument</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.converter">org.apache.poi.hwpf.converter</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.extractor">org.apache.poi.hwpf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.model">org.apache.poi.hwpf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hwpf.usermodel">org.apache.poi.hwpf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hwpf.converter">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                   title="class in org.apache.poi.hwpf">HWPFDocument</a> in <a
                            href="../../../../../org/apache/poi/hwpf/converter/package-summary.html">org.apache.poi.hwpf.converter</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../org/apache/poi/hwpf/converter/package-summary.html">org.apache.poi.hwpf.converter</a> with parameters of type <a
                                href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                title="class in org.apache.poi.hwpf">HWPFDocument</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processDrawnObject-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.w3c.dom.Element-">processDrawnObject</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToTextConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processDrawnObject-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.apache.poi.hwpf.usermodel.OfficeDrawing-java.lang.String-org.w3c.dom.Element-">processDrawnObject</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html"
                                   title="interface in org.apache.poi.hwpf.usermodel">OfficeDrawing</a>&nbsp;officeDrawing,
                                java.lang.String&nbsp;path,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processDrawnObject-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.apache.poi.hwpf.usermodel.OfficeDrawing-java.lang.String-org.w3c.dom.Element-">processDrawnObject</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html"
                                   title="interface in org.apache.poi.hwpf.usermodel">OfficeDrawing</a>&nbsp;officeDrawing,
                                java.lang.String&nbsp;path,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#processDrawnObject-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.apache.poi.hwpf.usermodel.OfficeDrawing-java.lang.String-org.w3c.dom.Element-">processDrawnObject</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html"
                                   title="interface in org.apache.poi.hwpf.usermodel">OfficeDrawing</a>&nbsp;officeDrawing,
                                java.lang.String&nbsp;path,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/WordToFoConverter.html#processDrawnObject-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.apache.poi.hwpf.usermodel.OfficeDrawing-java.lang.String-org.w3c.dom.Element-">processDrawnObject</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/OfficeDrawing.html"
                                   title="interface in org.apache.poi.hwpf.usermodel">OfficeDrawing</a>&nbsp;officeDrawing,
                                java.lang.String&nbsp;path,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToTextConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processEndnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processEndnoteAutonumbered</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;endnoteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processEndnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processEndnoteAutonumbered</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;endnoteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#processEndnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processEndnoteAutonumbered</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;endnoteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/WordToFoConverter.html#processEndnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processEndnoteAutonumbered</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;endnoteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processField-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.Range-int-org.apache.poi.hwpf.usermodel.Field-org.w3c.dom.Element-">processField</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;parentRange,
                                int&nbsp;currentTableLevel,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/Field.html"
                                   title="interface in org.apache.poi.hwpf.usermodel">Field</a>&nbsp;field,
                                org.w3c.dom.Element&nbsp;currentBlock)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToTextConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processFootnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processFootnoteAutonumbered</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;footnoteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processFootnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processFootnoteAutonumbered</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;footnoteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#processFootnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processFootnoteAutonumbered</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;footnoteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToFoConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/WordToFoConverter.html#processFootnoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processFootnoteAutonumbered</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;footnoteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processNoteAnchor-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.w3c.dom.Element-">processNoteAnchor</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToHtmlConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/WordToHtmlConverter.html#processNoteAutonumbered-org.apache.poi.hwpf.HWPFDocument-java.lang.String-int-org.w3c.dom.Element-org.apache.poi.hwpf.usermodel.Range-">processNoteAutonumbered</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                java.lang.String&nbsp;type,
                                int&nbsp;noteIndex,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/Range.html"
                                   title="class in org.apache.poi.hwpf.usermodel">Range</a>&nbsp;noteTextRange)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">WordToTextConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/WordToTextConverter.html#processOle2-org.apache.poi.hwpf.HWPFDocument-org.w3c.dom.Element-org.apache.poi.poifs.filesystem.Entry-">processOle2</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                   title="interface in org.apache.poi.poifs.filesystem">Entry</a>&nbsp;entry)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processOle2-org.apache.poi.hwpf.HWPFDocument-org.w3c.dom.Element-org.apache.poi.poifs.filesystem.Entry-">processOle2</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;wordDocument,
                                org.w3c.dom.Element&nbsp;block,
                                <a href="../../../../../org/apache/poi/poifs/filesystem/Entry.html"
                                   title="interface in org.apache.poi.poifs.filesystem">Entry</a>&nbsp;entry)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">AbstractWordConverter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/converter/AbstractWordConverter.html#processSymbol-org.apache.poi.hwpf.HWPFDocument-org.apache.poi.hwpf.usermodel.CharacterRun-org.w3c.dom.Element-">processSymbol</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc,
                                <a href="../../../../../org/apache/poi/hwpf/usermodel/CharacterRun.html"
                                   title="class in org.apache.poi.hwpf.usermodel">CharacterRun</a>&nbsp;characterRun,
                                org.w3c.dom.Element&nbsp;block)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.extractor">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                   title="class in org.apache.poi.hwpf">HWPFDocument</a> in <a
                            href="../../../../../org/apache/poi/hwpf/extractor/package-summary.html">org.apache.poi.hwpf.extractor</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../org/apache/poi/hwpf/extractor/package-summary.html">org.apache.poi.hwpf.extractor</a> with parameters of type <a
                                href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                title="class in org.apache.poi.hwpf">HWPFDocument</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/extractor/WordExtractor.html#WordExtractor-org.apache.poi.hwpf.HWPFDocument-">WordExtractor</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc)</code>
                                <div class="block">Create a new Word Extractor</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                   title="class in org.apache.poi.hwpf">HWPFDocument</a> in <a
                            href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../org/apache/poi/hwpf/model/package-summary.html">org.apache.poi.hwpf.model</a> with parameters of type <a
                                href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                title="class in org.apache.poi.hwpf">HWPFDocument</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/model/PicturesTable.html#PicturesTable-org.apache.poi.hwpf.HWPFDocument-byte:A-byte:A-">PicturesTable</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;_document,
                                byte[]&nbsp;_dataStream,
                                byte[]&nbsp;_mainStream)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/model/PicturesTable.html#PicturesTable-org.apache.poi.hwpf.HWPFDocument-byte:A-byte:A-org.apache.poi.hwpf.model.FSPATable-org.apache.poi.hwpf.model.EscherRecordHolder-">PicturesTable</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;_document,
                                byte[]&nbsp;_dataStream,
                                byte[]&nbsp;_mainStream,
                                <a href="../../../../../org/apache/poi/hwpf/model/FSPATable.html"
                                   title="class in org.apache.poi.hwpf.model">FSPATable</a>&nbsp;fspa,
                                <a href="../../../../../org/apache/poi/hwpf/model/EscherRecordHolder.html"
                                   title="class in org.apache.poi.hwpf.model">EscherRecordHolder</a>&nbsp;dgg)</code>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hwpf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                   title="class in org.apache.poi.hwpf">HWPFDocument</a> in <a
                            href="../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../org/apache/poi/hwpf/usermodel/package-summary.html">org.apache.poi.hwpf.usermodel</a> with parameters of type <a
                                href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                title="class in org.apache.poi.hwpf">HWPFDocument</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/usermodel/HeaderStories.html#HeaderStories-org.apache.poi.hwpf.HWPFDocument-">HeaderStories</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../org/apache/poi/hwpf/usermodel/PictureRunMapper.html#PictureRunMapper-org.apache.poi.hwpf.HWPFDocument-">PictureRunMapper</a></span>(<a
                                    href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
                                    title="class in org.apache.poi.hwpf">HWPFDocument</a>&nbsp;doc)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../org/apache/poi/hwpf/HWPFDocument.html"
               title="class in org.apache.poi.hwpf">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hwpf/class-use/HWPFDocument.html" target="_top">Frames</a>
        </li>
        <li><a href="HWPFDocument.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
